## opalmod 0.1.6

=== Makefile ===
prefix=/usr
dir=lib/perl5

# This includes the install....
install:
# Generate makefiles.
	(cd OpaL/where;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/read;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/dir;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/manipulate;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/action;perl Makefile.PL INSTALLDIRS=vendor)

# First fix things.
# Rewrite rules for lib.
	#(cd OpaL/where;perl -pi -e "s#blib/lib#$(DESTDIR)$(prefix)/$(dir)#g;" Makefile)
	#(cd OpaL/read;perl -pi -e "s#blib/lib#$(DESTDIR)$(prefix)/$(dir)#g;" Makefile)
	#(cd OpaL/dir;perl -pi -e "s#blib/lib#$(DESTDIR)$(prefix)/$(dir)#g;" Makefile)
	#(cd OpaL/manipulate;perl -pi -e "s#blib/lib#$(DESTDIR)$(prefix)/$(dir)#g;" Makefile)
	#(cd OpaL/action;perl -pi -e "s#blib/lib#$(DESTDIR)$(prefix)/$(dir)#g;" Makefile)
# Rewrite rules for man3
	#(cd OpaL/where;perl -pi -e "s#blib/man3#$(DESTDIR)$(prefix)/share/man/man3#g;" Makefile)
	#(cd OpaL/read;perl -pi -e "s#blib/man3#$(DESTDIR)$(prefix)/share/man/man3#g;" Makefile)
	#(cd OpaL/dir;perl -pi -e "s#blib/man3#$(DESTDIR)$(prefix)/share/man/man3#g;" Makefile)
	#(cd OpaL/manipulate;perl -pi -e "s#blib/man3#$(DESTDIR)$(prefix)/share/man/man3#g;" Makefile)
	#(cd OpaL/action;perl -pi -e "s#blib/man3#$(DESTDIR)$(prefix)/share/man/man3#g;" Makefile)

# Then do the real make.
	(cd OpaL/where;$(MAKE) OPTIMIZE="-O2 -g -Wall"; $(MAKE) install PREFIX=$(CURDIR)/debian/opalmod/usr)
	(cd OpaL/read;$(MAKE) OPTIMIZE="-O2 -g -Wall"; $(MAKE) install PREFIX=$(CURDIR)/debian/opalmod/usr)
	(cd OpaL/dir;$(MAKE) OPTIMIZE="-O2 -g -Wall"; $(MAKE) install PREFIX=$(CURDIR)/debian/opalmod/usr)
	(cd OpaL/manipulate;$(MAKE) OPTIMIZE="-O2 -g -Wall"; $(MAKE) install PREFIX=$(CURDIR)/debian/opalmod/usr)
	(cd OpaL/action;$(MAKE) OPTIMIZE="-O2 -g -Wall"; $(MAKE) install PREFIX=$(CURDIR)/debian/opalmod/usr)
	rm -f $(DESTDIR)$(prefix)/share/man/man3/.exists*

clean:
	(cd OpaL/where; $(MAKE) realclean; rm -Rf *blib Makefile)
	(cd OpaL/read; $(MAKE) realclean; rm -Rf *blib Makefile)
	(cd OpaL/dir; $(MAKE) realclean; rm -Rf *blib Makefile)
	(cd OpaL/manipulate; $(MAKE) realclean; rm -Rf *blib Makefile)
	(cd OpaL/action; $(MAKE) realclean; rm -Rf *blib Makefile)

=== debian/changelog ===
opalmod (0.1.6) unstable; urgency=low

  * Fixed error message in some cases.

 -- Ola Lundqvist <opal@debian.org>  Wed, 23 Jan 2002 22:19:56 +0100

opalmod (0.1.5) unstable; urgency=low

  * Added the possibility to hook on function references to the
    action routines.
  * Added build dependencies.
  * Updated the standards version.
  * Changed the upstream homepage from to www.opal.dhs.org.
  * Changed my email address everywhere to opal@debian.org.
  * Fixed other lintian errors.
  * Made it a debian native pacakge, because I will contiue to
    be the maintainer and no dramatic changes will be done anyway.
  * Removed configure files.

 -- Ola Lundqvist <opal@debian.org>  Wed, 23 Jan 2002 10:09:56 +0100

opalmod (0.1.4-1) unstable; urgency=low

  * Initial debian upload.
  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@debian.org>  Sun, 21 Aug 2000 09:17:36 +0200

opalmod (0.1.3-2) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 21 Aug 2000 09:17:36 +0200

opalmod (0.1.3-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 20 Aug 2000 14:52:22 +0200

opalmod (0.1.2-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Wed, 19 Jul 2000 12:44:03 +0200

opalmod (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <opal@lysator.liu.se>  Wed, 19 Jul 2000 10:22:05 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: opalmod
Section: devel
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.5.2
Build-Depends-Indep: perl (>= 5.6.0-16), debhelper (>> 3.0.18)

Package: opalmod
Architecture: all
Depends: ${perl:Depends}
Suggests: orm, oamg
Description: A set of modules for the opal packages.
 OpaL Perl Modules is a set of perl modules used for various tasks.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Changed to fit orm (2000) by Ola Lundqvist.

# Rules to build opalmod

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/opalmod

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install

## opalmod 0.1.11

=== debian/changelog ===
opalmod (0.1.11) unstable; urgency=low

  * Updated description so it is easier to understand, closes: #209908.

 -- Ola Lundqvist <opal@debian.org>  Mon, 15 Sep 2003 21:54:49 +0200

opalmod (0.1.10) unstable; urgency=low

  * Fixed strange exit error message, closes: #163071, #135901.
  * Removed full stop from short description line.

 -- Ola Lundqvist <opal@debian.org>  Wed,  5 Feb 2003 18:23:27 +0100

opalmod (0.1.9) unstable; urgency=low

  * Fixed bashism in the perl script. Thanks to Michal Cihar
    <cihar@email.cz> for the patch, closes: #179332.
  * Removed version requirement for perl build dependencies.

 -- Ola Lundqvist <opal@debian.org>  Sat,  1 Feb 2003 20:37:01 +0100

opalmod (0.1.8) unstable; urgency=low

  * Updated for perl 5.8.
  * Updated standards version from 3.5.2 to 3.5.8.
  * Not using dh_suidregister any more.
  * Fixed copyright issue.

 -- Ola Lundqvist <opal@debian.org>  Fri, 24 Jan 2003 09:32:06 +0100

opalmod (0.1.7) unstable; urgency=low

  * Removed unnecessary suggestions, closes: #143216.

 -- Ola Lundqvist <opal@debian.org>  Tue, 13 Aug 2002 11:05:31 +0200

=== debian/control ===
Source: opalmod
Section: devel
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.5.10
Build-Depends-Indep: perl, debhelper (>> 3.0.18)

Package: opalmod
Architecture: all
Depends: ${perl:Depends}
Description: A set of modules for various tasks
 OpaL Perl Modules is a set of perl modules used for various tasks:
  * Exception handle emulation.
  * Simplified file and command read functions.
  * Simplified debugging support.

=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-	dh_suidregister
 	dh_makeshlibs
 	dh_installdeb
 	dh_perl

## opalmod 0.1.13

=== debian/changelog ===
opalmod (0.1.13) unstable; urgency=low

  * Updated description, closes: #211186.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Sat, 14 Aug 2004 22:54:52 +0200

opalmod (0.1.12) unstable; urgency=low
  
  * Added patch from Marc Brockschmidt <marc@marcbrockschmidt.de> that fixes
    a critical build issue, closes: #253745.
  
 -- Ola Lundqvist <opal@debian.org>  Tue, 06 Jul 2004 00:14:27 +0200

=== debian/control ===
Source: opalmod
Section: devel
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: perl, debhelper (>> 3.0.18)

Package: opalmod
Architecture: all
Depends: ${perl:Depends}
Description: A set of Perl modules for various tasks
 OpaL Perl Modules is a set of perl modules used for various tasks:
  * Exception handle emulation.
  * Simplified file and command read functions.
  * Simplified debugging support.

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/opalmod
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/opalmod PREFIX=/usr
 
 # Build architecture-independent files here.
 binary-indep: build install

## opalmod 0.1.14

=== debian/changelog ===
opalmod (0.1.14) unstable; urgency=low

  * Update of FSF addresses in copyright files and some cleanup in
    documentation.
  * Moved debhelper from build-depends-indep to build-depends.
  * Updated to standards version 3.7.2.
  * Updated to debhelper 4 compatibility.
  * Added binary arch target.

 -- Ola Lundqvist <opal@debian.org>  Mon, 10 Jul 2006 00:04:17 +0200

## opalmod 0.1.15

=== Makefile ===
PREFIX=/usr/local

# This includes the install....
install:
# Generate makefiles.
	(cd OpaL/where;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/read;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/dir;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/manipulate;perl Makefile.PL INSTALLDIRS=vendor)
	(cd OpaL/action;perl Makefile.PL INSTALLDIRS=vendor)

# Then do the real make.
	for part in where read dir manipulate action; do \
		$(MAKE) -C OpaL/$$part OPTIMIZE="-O2 -g -Wall"; \
		$(MAKE) -C OpaL/$$part install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX); \
	done
	rm -f $(DESTDIR)$(prefix)/share/man/man3/.exists*

clean:
	for part in where read dir manipulate action; do \
		$(MAKE) -C OpaL/$$part realclean; \
	done

=== debian/changelog ===
opalmod (0.1.15) unstable; urgency=low

  * Updated homepage, license and email references.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Dec 2007 20:40:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: perl, debhelper (>> 3.0.18)
+Standards-Version: 3.7.2
+Build-Depends-Indep: perl
+Build-Depends: debhelper (>> 4.0.0)
 
 Package: opalmod
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -37,6 +37,8 @@
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/opalmod PREFIX=/usr
+
+binary-arch:
 
 # Build architecture-independent files here.
 binary-indep: build install

## opalmod 0.1.16

=== debian/changelog ===
opalmod (0.1.16) unstable; urgency=low

  * Updated upstream address from opalsys.net to inguza.com.

 -- Ola Lundqvist <opal@debian.org>  Mon,  7 Apr 2008 21:04:37 +0200

## opalmod 0.2.0

=== debian/changelog ===
opalmod (0.2.0) unstable; urgency=low

  * Corrected so that an error code is returned on exit.
    Closes: #517693. Feature update.
  * Updated to standards version 3.8.0.
  * Fixed so that the clean target can fail.
  * Fixed DH_COMPACT migration.

 -- Ola Lundqvist <opal@debian.org>  Mon, 16 Mar 2009 20:18:09 +0100

## opalmod 0.2.1

=== Makefile ===
--- 
+++ 
@@ -18,5 +18,5 @@
 
 clean:
 	for part in where read dir manipulate action; do \
-		$(MAKE) -C OpaL/$$part realclean; \
+		[ ! -f OpaL/$$part/Makefile ] || $(MAKE) -C OpaL/$$part realclean; \
 	done

=== debian/changelog ===
opalmod (0.2.1) unstable; urgency=low

  * Making sure that OpaL::read::readfile is exported properly. Pure
    functions can not be exported this way anymore. Closes: #626154.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Aug 2012 22:51:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -25,7 +24,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## opalmod 0.2.2

=== debian/changelog ===
opalmod (0.2.2) unstable; urgency=low

  * Changed from debhelper compatibility level 4 to 9. Closes: #817605.
  * Changed to new debian/rules style with overrides. Had to fix a few
    build problems to get that working.

 -- Ola Lundqvist <opal@debian.org>  Wed, 08 Jun 2016 22:52:46 +0200

## opalmod 0.2.2+nmu1

=== debian/changelog ===
opalmod (0.2.2+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	echo "Testing"
	$(MAKE) install DESTDIR=$(CURDIR)/debian/opalmod PREFIX=/usr

## opalmod 0.2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX=/usr/local
 
 # This includes the install....
-install:
+build:
 # Generate makefiles.
 	(cd OpaL/where;perl Makefile.PL INSTALLDIRS=vendor)
 	(cd OpaL/read;perl Makefile.PL INSTALLDIRS=vendor)
@@ -12,6 +12,10 @@
 # Then do the real make.
 	for part in where read dir manipulate action; do \
 		$(MAKE) -C OpaL/$$part OPTIMIZE="-O2 -g -Wall"; \
+	done
+
+install:
+	for part in where read dir manipulate action; do \
 		$(MAKE) -C OpaL/$$part install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX); \
 	done
 	rm -f $(DESTDIR)$(prefix)/share/man/man3/.exists*

=== debian/changelog ===
opalmod (0.2.2.1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (native) format. Closes: #1007696.
  * Bumped debhelper compatibility to 11.

 -- Ola Lundqvist <opal@debian.org>  Thu, 24 Mar 2022 09:58:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Build-Depends-Indep: perl
 Build-Depends: debhelper (>> 4.0.0)

## opalmod 0.2.2.1build1

=== debian/changelog ===
opalmod (0.2.2.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Dec 2025 20:03:30 +0000
